﻿/**
* PerformanceTest by Grant Skinner. Apr 21, 2009
* Visit www.gskinner.com/blog for documentation, updates and more free code.
*
*
* Copyright (c) 2009 Grant Skinner
* 
* Permission is hereby granted, free of charge, to any person
* obtaining a copy of this software and associated documentation
* files (the "Software"), to deal in the Software without
* restriction, including without limitation the rights to use,
* copy, modify, merge, publish, distribute, sublicense, and/or sell
* copies of the Software, and to permit persons to whom the
* Software is furnished to do so, subject to the following
* conditions:
* 
* The above copyright notice and this permission notice shall be
* included in all copies or substantial portions of the Software.
* 
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
* EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
* OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
* NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
* HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
* WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
* FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
* OTHER DEALINGS IN THE SOFTWARE.
**/

package performancetests.numeric {
	
	public class VectorIterators {
		
	// Constants:
		
	// Public Properties:
		public var iterations:uint=5;
		
	// Protected Properties:
		// sets the length of the vector to be used in all tests:
		protected var length:uint = 1000000;
		// the vector to be used in all tests (so the construction cost isn't included in the test time):
		var arr:Vector.<Boolean> = new Vector.<Boolean>(length);
		
	// Initialization:
		
	// Public getter / setters:
		
	// Public Methods:
		public function uintTest():void {
			for (var i:uint=0; i<length; i++) {
				var a:* = arr[i];
				var b:uint = i;
			}
		}
		
		public function intTest():void {
			for (var i:int=0; i<length; i++) {
				var a:* = arr[i];
				var b:int = i;
			}
		}
		
		public function numberTest():void {
			for (var i:Number=0; i<length; i++) {
				var a:* = arr[i];
				var b:Number = i;
			}
		}
		
	// Protected Methods:
		
	}
	
}